# Generated by Django 3.2.14 on 2023-05-11 05:44

from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('accounts', '0109_profile_feature'),
        ('core', '0077_auto_20220715_0636'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConfigurationMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('config_type_crm_ids', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), size=None)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='configuration_mapping', to='accounts.provider')),
            ],
        ),
        migrations.CreateModel(
            name='AutomatedSubscriptionNotificationSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('receiver_email_ids', django.contrib.postgres.fields.ArrayField(base_field=models.EmailField(max_length=254), size=None)),
                ('email_subject', models.CharField(max_length=500)),
                ('email_body', models.TextField()),
                ('renewal_type_contact_crm_id', models.PositiveIntegerField()),
                ('weekly_send_schedule', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(choices=[('MONDAY', 'MONDAY'), ('TUESDAY', 'TUESDAY'), ('WEDNESDAY', 'WEDNESDAY'), ('THURSDAY', 'THURSDAY'), ('FRIDAY', 'FRIDAY'), ('SATURDAY', 'SATURDAY'), ('SUNDAY', 'SUNDAY')], max_length=15), size=None)),
                ('approaching_expiry_date_range', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(choices=[('EXPIRED', 'EXPIRED'), ('NEXT_15_DAYS', 'NEXT_15_DAYS'), ('NEXT_16_TO_89_DAYS', 'NEXT_16_TO_89_DAYS'), ('NEXT_90_TO_120_DAYS', 'NEXT_90_TO_120_DAYS')], max_length=30), size=None)),
                ('config_type_crm_ids', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), blank=True, default=list, size=None)),
                ('config_status_crm_ids', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), blank=True, default=list, size=None)),
                ('manufacturer_crm_ids', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), blank=True, default=list, size=None)),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='subscription_notification_setting', to='accounts.provider')),
                ('sender', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
